//========================================================================================
//
//	File:				FWPriMem.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWPRIMEM_H
#define FWPRIMEM_H

#ifndef SLPRIMEM_H
#include "SLPriMem.h"
#endif

void *operator new(size_t size,void *p);
void *operator new(size_t size);
void  operator delete(void *p);

//----------------------------------------------------------------------------------------
//	FW_BlockMove
//----------------------------------------------------------------------------------------

template <class tType>
inline void FW_BlockMove(const tType* source, tType* destination, int numberItems)
{
	FW_PrimitiveCopyMemory(source, destination, numberItems*sizeof(tType));
}

#endif
