//========================================================================================
//
//	File:				SLThrdGd.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWFound.hpp"

#ifndef SLTHRDGD_H
#include "SLThrdGd.h"
#endif

void FW_Thread_NoteCreation(FW_ThreadID newlyCreatedThread)
{
	// No try block necessary - Do not throw

//	::DebugStr("\pFW_Thread_NoteCreation");
	FW_CThreadSafe::NoteCreation(newlyCreatedThread);
}

void FW_Thread_NoteTermination(FW_ThreadID threadBeingKilled)
{
	// No try block necessary - Do not throw

//	::DebugStr("\pFW_Thread_NoteTermination");
	FW_CThreadSafe::NoteTermination(threadBeingKilled);
}

void FW_Thread_NoteSwitch(FW_ThreadID aThread, FW_Boolean switchingIn)
{
	// No try block necessary - Do not throw

//	::DebugStr("\pFW_Thread_NoteSwitch");
	FW_CThreadSafe::NoteSwitch(aThread, switchingIn);
}

