//========================================================================================
//
//	File:				SLThrdGd.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SLTHRDGD_H
#define SLTHRDGD_H

#ifndef FWTHRDGD_H
#include "FWThrdGd.h"
#endif

// Export or Import functions for CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import on
#elif defined(FW_ODFLIB)
#pragma export on
#endif

FW_EXTERN_C_BEGIN

void FW_Thread_NoteCreation(FW_ThreadID newlyCreatedThread);
void FW_Thread_NoteTermination(FW_ThreadID threadBeingKilled);
		// Parts call NoteCreation when creating a new thread and 
		// NoteTermination when a thread is being destroyed.

#ifdef	FW_BUILD_MAC
void FW_Thread_NoteSwitch(FW_ThreadID aThread, FW_Boolean switchingIn);
		// A thread-using part must call this method when a thread 
		// switch occurs.  The boolean is TRUE when the thread is being
		// switched in, FALSE when the thread is being switched out.
#endif


FW_EXTERN_C_END

// For CFM-68K [sfu]

#if defined(FW_ODFLIB_IMPORT)
#pragma import off
#elif defined(FW_ODFLIB)
#pragma export off
#endif

#endif
